# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           wstx
Summary:        Woodstox Stax Implementation
Version:        3.1.1
Release:        1jpp
Epoch:          0
URL:            http://annogen.codehaus.org/
License:        Apache Software License 2.0
Group:          Development/Libraries/Java
Source:         %{name}-src-%{version}.tar.gz

BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-nodeps
BuildRequires:  ant-apache-bcel
BuildRequires:  ant-junit
BuildRequires:  bea-stax-api >= 0:1.2.0
BuildRequires:  emma
BuildRequires:  msv-msv
BuildRequires:  msv-xsdlib
Requires:               bea-stax-api >= 0:1.2.0
Requires:               msv-msv
Requires:               msv-xsdlib

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
Woodstox is a high-performance validating namespace-aware 
StAX-compliant (JSR-173) Open Source XML-processor written 
in Java.
XML processor means that it handles both input (== parsing) 
and output (== writing, serialization)), as well as 
supporting tasks such as validation.

%package j2me
Group:          Development/Libraries/Java
Summary:        J2ME libraries for %{name}

%description j2me
%{summary}.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
%{summary}.

%package manual
Group:          Development/Documentation
Summary:        Documents for %{name}

%description manual
%{summary}.

%prep
%setup -q -c -n %{name}

for f in $(find . -name '*.?ar'); do
        rm $f
done

pushd lib
ln -sf $(build-classpath emma) .
ln -sf $(build-classpath emma_ant) .
ln -sf $(build-classpath bea-stax-api) stax-api-1.0.jar
pushd msv
ln -sf $(build-classpath msv-msv) msv.jar
ln -sf $(build-classpath msv-xsdlib) xsdlib.jar
ln -sf $(build-classpath relaxngDatatype) .
popd
popd

%build
unset CLASSPATH
ant jars javadoc test staxtest

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 build/stax2.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/stax2-%{version}.jar
install -m 644 build/%{name}-api-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-api-%{version}.jar
install -m 644 build/%{name}-asl-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-asl-%{version}.jar
install -m 644 build/%{name}-lgpl-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-lgpl-%{version}.jar
install -m 644 build/%{name}-j2me-min-both.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-j2me-min-both-%{version}.jar
install -m 644 build/%{name}-j2me-min-input.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-j2me-min-input-%{version}.jar
install -m 644 build/%{name}-j2me-min-output.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-j2me-min-output-%{version}.jar
# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/javadoc/* \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr release-notes/* \
    $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/stax2*.jar
%{_javadir}/%{name}/%{name}-api*.jar
%{_javadir}/%{name}/%{name}-asl*.jar
%{_javadir}/%{name}/%{name}-lgpl*.jar

%files j2me
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-j2me-min-both*.jar
%{_javadir}/%{name}/%{name}-j2me-min-input*.jar
%{_javadir}/%{name}/%{name}-j2me-min-output*.jar


%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

%changelog
* Mon Feb 26 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:3.1.1-1jpp
- Upgrade to 3.1.1
- Fix javadoc handling to remove ghost + linking magic

* Fri May 05 2006 Ralph Apel <r.apel@r-apel.de> 0:2.9.3-1jpp
- First build

